Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02124 Graphics Minor Always Aug 17, 2008, 12:45 Aug 23, 2014, 15:13
Tester Kold666 View Status Public Platform MAME (Official Binary)
Assigned To Phil Bennett Resolution Fixed OS
Status [?] Resolved Driver namconb1.cpp
Version 0.126u5 Fixed in Version 0.155 Build Normal
Summary 02124: nebulray, nebulrayj: Nebulas Ray is missing a rotation effect in the first level
Description I remember I reported on the old forum this bug and I provided a video.
Unfortunately now the pcb is not in my hands anymore.

The background of the first level of Nebulas ray should rotate around 60 degrees with a grandangular effect when you move left and right
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems nebulray, nebulrayj
Attached Files
3gp file icon nb.3gp (596,670 bytes) Aug 18, 2008, 08:32
Relationships
There are no relationship linked to this issue.
Notes
18
User avatar
No.02092
Tafoid
Administrator
Aug 17, 2008, 12:54
edited on: May 17, 2009, 19:42
I"m assuming you mean this bug here? 01678

It's similar in that it's a missing effect - not the same driver - but same idea.
User avatar
No.02095
Kold666
Developer
Aug 17, 2008, 14:46
no, it was specific to Nebulas Ray. I posted in the old forum after Reip asked me a video of the pcb in action because the effect is very particular
User avatar
No.02096
Tafoid
Administrator
Aug 17, 2008, 14:55
Was it ever accepted as an official report? If so, Fujix might have the video kicking around somewhere on the server
User avatar
No.02097
Kold666
Developer
Aug 17, 2008, 17:28
I think so because I remember Phil Stroffolino was interested in the video and told that he couldn't find an enable bit for the effect....
The post was made 2-3 years ago.
User avatar
No.02107
Kold666
Developer
Aug 18, 2008, 08:32
we are lucky, I have the pcb at home, I thought I had sold it...
I uploaded a video
User avatar
No.02118
Haze
Senior Tester
Aug 19, 2008, 07:52
.3gp ?
User avatar
No.02119
Tafoid
Administrator
Aug 19, 2008, 07:59
mobile phone recording.. enough to get the point across. You can play it in VLC (http://www.videolan.org) with no problems.
User avatar
No.02120
Kold666
Developer
Aug 19, 2008, 08:56
You can play it with Quicktime player also.
I won't have a digital camera for sometime so it's better then nothing ;)
I think the effect can be seen quite good
User avatar
No.10918
Phil Bennett
Developer
Aug 13, 2014, 08:58
Here's a better reference:

User avatar
No.10919
Haze
Senior Tester
Aug 13, 2014, 09:16
edited on: Aug 13, 2014, 09:20
Fwiw it's probably a raster effect, the actual timemap chips are the same as Namco System 1 (IIRC), which has no ROZ capability. If you look carefully it's not a true roz either, just a row scroll/select effect which you could do with rasters. I've looked over the memory map and see no obvious ram areas containing select / scroll tables for such an effect (except maybe an area of main ram) which again suggests a raster effect (changing scroll values during the active display on each scanline)

The game does set up the raster interrupt in a different way to the others, but due to the way things are hooked up it doesn't trigger it on every line, I suspect it should and we're interpreting the parameters wrong. A bad interrupt could also explain the failure of test mode.

Music was the wrong speed again last time I checked as well.
User avatar
No.10920
Tafoid
Administrator
Aug 13, 2014, 10:35
edited on: Aug 13, 2014, 10:35
Correct, some games still have tempo issues (too fast) 03488
User avatar
No.10921
Phil Bennett
Developer
Aug 13, 2014, 13:12
Yes, the interrupt handling is utterly wrong. Fixed, will commit later.
User avatar
No.10922
Sune_S
Senior Tester
Aug 14, 2014, 01:07
That's an awesome, almost nauseating effect. And there are more - attract mode became a lot more interesting to watch. Thanks Phil B.

I noticed a funky starfield in the video that doesn't show in MAME yet.
User avatar
No.10923
Haze
Senior Tester
Aug 14, 2014, 06:21
edited on: Aug 14, 2014, 06:24
yeah, the driver has a rather gross hack (patching out part of the GFX ROM!!!) to prevent some garbage tiles from being displayed, it should probably be the starfield or similar I guess.

Driver is also now very slow (guess it needs optimizing for scanline drawing) and sprites glitch out quite badly (maybe they're buffered so mid-scaline changes don't affect them)
User avatar
No.10924
Haze
Senior Tester
Aug 14, 2014, 06:30
yeah, without the rom patch it draws stars intsead of a giant glitch now.
User avatar
No.10925
AWJ
Developer
Aug 14, 2014, 07:11
>Driver is also now very slow (guess it needs optimizing for scanline drawing)

You could say that it needs de-pessimizing first... it scans palette RAM and regenerates its entire 8192-entry palette on every screen update call, which now means every scanline. Relic from the 256-color VGA days?
User avatar
No.10926
Haze
Senior Tester
Aug 14, 2014, 07:30
It's probably for some legacy reasons, or just a stroffism, hard to say :-)

I suspect the sprite draw is however the slowest part right now tho, but if they're framebuffered on hardware rather than linebuffered (or the spriteram is buffered and so can't change) we can probably just render them to a temp bitmap and mix, because it certainly doesn't look like mid-screen changes should be being applied to them.

I've noticed some of the stars don't scroll / enable / disable properly still, but patching out a good chunk of the rom clearly wasn't a solution to anything.
User avatar
No.10927
Haze
Senior Tester
Aug 14, 2014, 07:44
Rasters are off by 1 line anyway, you can see it in a number of places.